MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032114Open CASCADE[OCCT] OCCT:Visualizationpublic2021-02-03 03:202021-02-06 14:29
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032114: Visualization, TKOpenGl - broken PBR LUT on OpenGL ES 2.0
DescriptionPBR LUT table is supposed to be initialized in GL_RGBA16F format on OpenGL ES 2.0 + OES_texture_half_float extension.
However, OpenGL ES 2.0 fallback code resets format back to GL_RGBA32F.
As result, LUT becomes non-filterable if OES_texture_float_linear extension is unsupported leading to broken shading without error messages.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0032083verifiedbugmaster Visualization, TKOpenGl - PBR rendering is unavailable on Apple A12 Bionic (iPad) 

-  Notes
(0098628)
git (administrator)
2021-02-03 03:50

Branch CR32114 has been created by kgv.

SHA-1: 0b1771dc592d8bef3e99849c6659207ce9025ade


Detailed log of new commits:

Author: kgv
Date: Wed Feb 3 02:50:55 2021 +0300

    0032114: Visualization, TKOpenGl - broken PBR LUT on OpenGL ES 2.0
    
    Added image formats Image_Format_RGF_half/Image_Format_RGBAF_half
    with manual conversion between 32-bit float and 16-bit half-float values.
    
    PBR LUT table is now converted into GL_HALF_FLOAT_OES data format in case of OpenGL ES 2.0.
(0098629)
git (administrator)
2021-02-03 04:01

Branch CR32114 has been updated forcibly by kgv.

SHA-1: 4414a11e9211716d741433690eb981994da549f6
(0098632)
kgv (developer)
2021-02-03 04:04

Patch is ready for review
- OCCT branch: CR32114.
(0098633)
git (administrator)
2021-02-03 10:53

Branch CR32114 has been updated forcibly by kgv.

SHA-1: 9d7f5732d2a6933a50c4ee19b13c3dbaad01cff8
(0098634)
git (administrator)
2021-02-03 11:04

Branch CR32114 has been updated forcibly by kgv.

SHA-1: 35acf2443f63aafe4bceb0c63eefd27eb43e7c11
(0098635)
git (administrator)
2021-02-03 11:11

Branch CR32114 has been updated forcibly by kgv.

SHA-1: c4489427cc7814e37ee3c2b65f565f270693cca7
(0098636)
git (administrator)
2021-02-03 11:16

Branch CR32114 has been updated forcibly by kgv.

SHA-1: 1c32b1d209248fce7e33c43b677fbe8f6f1da23e
(0098640)
osa (developer)
2021-02-03 14:14

The patch was reviewed
(0098643)
git (administrator)
2021-02-03 14:31

Branch CR32114 has been updated forcibly by kgv.

SHA-1: c4e3d1bcaca4caf9aae85fc7e45ae948278796a9
(0098644)
git (administrator)
2021-02-03 14:37

Branch CR32114 has been updated forcibly by kgv.

SHA-1: e57aaac00cb1125fd51bacdf999eb0eaa0cc9ba0
(0098719)
bugmaster (administrator)
2021-02-06 14:16

Combination -
OCCT branch : IR-2021-02-05
master SHA - d918913f1cfa6df6852ccc3cab50aae2b5a29821
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2021-02-05 SHA - 7f3780c87f7b9ca7bc315437ae37fd3815a4316d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17801.74000000001 / 17781.070000000076 [+0.12%]
Products
Total CPU difference: 11522.820000000105 / 11527.24000000011 [-0.04%]
Windows-64-VC14:
OCCT
Total CPU difference: 19371.578125 / 19391.0625 [-0.10%]
Products
Total CPU difference: 12882.46875 / 12836.03125 [+0.36%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0098728)
git (administrator)
2021-02-06 14:29

Branch CR32114 has been deleted by inv.

SHA-1: e57aaac00cb1125fd51bacdf999eb0eaa0cc9ba0

- Related Changesets
occt: master 1ac837b2
Timestamp: 2021-02-02 23:50:55
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032114: Visualization, TKOpenGl - broken PBR LUT on OpenGL ES 2.0

Added image formats Image_Format_RGF_half/Image_Format_RGBAF_half
with manual conversion between 32-bit float and 16-bit half-float values.

PBR LUT table is now converted into GL_HALF_FLOAT_OES data format in case of OpenGL ES 2.0.
mod - src/Image/Image_Format.hxx Diff ] File ]
mod - src/Image/Image_PixMap.cxx Diff ] File ]
mod - src/Image/Image_PixMap.hxx Diff ] File ]
mod - src/Media/Media_Frame.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_TextureFormat.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-03 03:20 kgv New Issue
2021-02-03 03:20 kgv Assigned To => kgv
2021-02-03 03:50 git Note Added: 0098628
2021-02-03 03:59 kgv Relationship added child of 0032083
2021-02-03 04:01 git Note Added: 0098629
2021-02-03 04:04 kgv Note Added: 0098632
2021-02-03 04:04 kgv Assigned To kgv => osa
2021-02-03 04:04 kgv Status new => resolved
2021-02-03 10:53 git Note Added: 0098633
2021-02-03 11:04 git Note Added: 0098634
2021-02-03 11:11 git Note Added: 0098635
2021-02-03 11:16 git Note Added: 0098636
2021-02-03 14:14 osa Note Added: 0098640
2021-02-03 14:14 osa Assigned To osa => bugmaster
2021-02-03 14:14 osa Status resolved => reviewed
2021-02-03 14:31 git Note Added: 0098643
2021-02-03 14:37 git Note Added: 0098644
2021-02-06 14:16 bugmaster Note Added: 0098719
2021-02-06 14:16 bugmaster Status reviewed => tested
2021-02-06 14:21 bugmaster Test case number => Not required
2021-02-06 14:24 bugmaster Changeset attached => occt master 1ac837b2
2021-02-06 14:24 bugmaster Status tested => verified
2021-02-06 14:24 bugmaster Resolution open => fixed
2021-02-06 14:29 git Note Added: 0098728


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker